Skip to content
agentsub
Esc
↑↓navigate↵open⌘Jpreview

List registered merchants

GET/v1/merchants
Authorization
AuthorizationBearer token (JWT) · headerrequired

Clerk human owner session JWT; iss must equal the configured Clerk issuer and the identity must be a human (not agent) owner with a verified email.

or
AuthorizationOAuth2 access token · headerrequired
Scopes:agentsub:owner
Responses
200

Registered merchants

merchantsMerchant[]
Show properties
Array of Merchant
idstring
ownerIdstring
namestring
domainstring
verificationChallengestring
verifiedboolean
acceptedPaymentMethodsstring[]
webhookUrlstring
401

unauthorized problem; live 401s advertise WWW-Authenticate: Bearer resource_metadata=...

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
403

Identity, ownership, scope or policy denied (human_required, owner_claim_required, scope_required, FROZEN, CAP_EXCEEDED, SCOPE_FORBIDDEN)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
503

Runtime or provider configuration unavailable (runtime_configuration_required, signing_configuration_required, runtime_unavailable, workspace_unavailable, provider_configuration_required)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
Request
curl -X GET 'https://api.agentsub.dev/v1/merchants' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "merchants": [
    {
      "id": "string",
      "ownerId": "string",
      "name": "string",
      "domain": "string",
      "verificationChallenge": "string",
      "verified": true,
      "acceptedPaymentMethods": [
        "string"
      ],
      "webhookUrl": "string"
    }
  ]
}